Bug 442705 - Review Request: ocaml-bitstring - OCaml library for matching and constructing bitstrings
Review Request: ocaml-bitstring - OCaml library for matching and constructing...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
http://code.google.com/p/bitstring/
:
Depends On:
Blocks: 442873
  Show dependency treegraph
 
Reported: 2008-04-16 07:25 EDT by Richard W.M. Jones
Modified: 2008-07-18 08:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 13:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-04-16 07:25:46 EDT
Spec URL: http://www.annexia.org/tmp/ocaml-bitmatch.spec
SRPM URL: http://www.annexia.org/tmp/ocaml-bitmatch-0.4-1.fc8.src.rpm
Description: OCaml library for matching and constructing bitstrings

Bitmatch adds Erlang-style bitstrings and matching over bitstrings as
a syntax extension and library for OCaml.  You can use this module to
both parse and generate binary formats, for example, communications
protocols, disk formats and binary files.

Koji build for F9 is here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=568516

rpmlint output:

$ rpmlint ocaml-bitmatch-0.4-1.fc8.src.rpm
ocaml-bitmatch.src: W: invalid-license LGPLv2+ with exceptions
$ rpmlint ocaml-bitmatch-0.4-1.fc8.x86_64.rpm
ocaml-bitmatch.x86_64: W: invalid-license LGPLv2+ with exceptions
ocaml-bitmatch.x86_64: E: no-binary
ocaml-bitmatch.x86_64: E: only-non-binary-in-usr-lib
$ rpmlint ocaml-bitmatch-devel-0.4-1.fc8.x86_64.rpm
ocaml-bitmatch-devel.x86_64: W: invalid-license LGPLv2+ with exceptions

These are all OK as per bug 433783.  The invalid-license bug
has been fixed in newer versions of rpmlint (I'm still using
the one from F-8).

Files in the main package:

/usr/lib64/ocaml/bitmatch
/usr/lib64/ocaml/bitmatch/META
/usr/lib64/ocaml/bitmatch/bitmatch.cma
/usr/lib64/ocaml/bitmatch/bitmatch.cmi
/usr/lib64/ocaml/bitmatch/pa_bitmatch.cmo
/usr/share/doc/ocaml-bitmatch-0.4
/usr/share/doc/ocaml-bitmatch-0.4/COPYING.LIB

Files in the devel subpackage:

/usr/lib64/ocaml/bitmatch/bitmatch.a
/usr/lib64/ocaml/bitmatch/bitmatch.cmx
/usr/lib64/ocaml/bitmatch/bitmatch.cmxa
/usr/lib64/ocaml/bitmatch/bitmatch.mli
/usr/share/doc/ocaml-bitmatch-devel-0.4
/usr/share/doc/ocaml-bitmatch-devel-0.4/COPYING.LIB
/usr/share/doc/ocaml-bitmatch-devel-0.4/README
/usr/share/doc/ocaml-bitmatch-devel-0.4/examples
/usr/share/doc/ocaml-bitmatch-devel-0.4/examples/ipv4_header.ml
/usr/share/doc/ocaml-bitmatch-devel-0.4/examples/make_ipv4_header.ml
/usr/share/doc/ocaml-bitmatch-devel-0.4/html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/Bitmatch.Buffer.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/Bitmatch.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_attributes.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_class_types.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_classes.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_exceptions.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_methods.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_module_types.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_modules.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_types.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/index_values.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/style.css
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/type_Bitmatch.Buffer.html
/usr/share/doc/ocaml-bitmatch-devel-0.4/html/type_Bitmatch.html

Requires in the main package:

rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(VersionedDependencies) <= 3.0.3-1
ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364
ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5
ocaml(Buffer) = f6cef633ea14963b84b79c4095c63dc3
ocaml(Camlp4) = 2e045826779ef15857e5824a007fea98
ocaml(Camlp4_config) = cb716b4361f43326c6ad695c7a1bb5c0
ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
ocaml(Format) = 35fe566f7a37d8991a5c822bd1463949
ocaml(Hashtbl) = 083f2c94b44ff4e0b3220aaea6a783b4
ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d
ocaml(Lexing) = b1793496643444d3762dd42bebe2cfe3
ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Location) = eed044ad1204a633caad97bdd9048f8c
ocaml(Longident) = 46fb8aad4fb2c12a0f301b02d8139f07
ocaml(Nativeint) = e79cdc4d3575c2ed044955cb7ef49aca
ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
ocaml(Printf) = 5dbbf45a03b54e6dbfcf39178d0d6341
ocaml(Queue) = caa3a209bfc63d23a30f573541a88fec
ocaml(Set) = 7da14e671a035f12386ace3890018ef3
ocaml(Stream) = 21a833e12efd34ea0c87d8d9da959809
ocaml(String) = 2c162ab314b2f0a2cfd22d471b2e21ab
ocaml(Warnings) = abcb1589615da86f20f475b0ed3bbabc
ocaml(runtime) = 3.10.0

Provides in the main package:

ocaml(Bitmatch) = 8da1c38cf011e808e4be26d8bfb6b284
ocaml-bitmatch = 0.4-1.fc8

Note that I have been using this package successfully for a
couple of weeks.
Comment 1 Richard W.M. Jones 2008-04-25 10:15:28 EDT
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-bitmatch.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-bitmatch-0.5-1.fc8.src.rpm

New upstream version (0.5).
Comment 2 Tom "spot" Callaway 2008-05-01 10:08:25 EDT
Good:

- rpmlint checks return:
ocaml-bitmatch.x86_64: E: no-binary
ocaml-bitmatch.x86_64: E: only-non-binary-in-usr-lib

This is normal for camels.

- package meets naming guidelines
- package meets packaging guidelines (general and OCaml)
- license (LGPLv2+ with exceptions) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (dea943842082fa6d236264b329eb1b079cc5d1d4)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig not necessary
- devel requires base package n-v-r 

APPROVED.
Comment 3 Richard W.M. Jones 2008-05-01 11:20:52 EDT
New Package CVS Request
=======================
Package Name: ocaml-bitmatch
Short Description: OCaml library for matching and constructing bitstrings
Owners: rjones
Branches: F-8 F-9 EL-5
InitialCC: rjones
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-05-01 11:33:03 EDT
cvs done.
Comment 5 Richard W.M. Jones 2008-05-01 13:34:08 EDT
F-8, F-9 and devel built.

EL-5 needs a bit of upstream work.

Closing, thanks everyone.
Comment 6 Richard W.M. Jones 2008-07-17 12:03:21 EDT
New Package CVS Request
=======================
Package Name: ocaml-bitstring
Short Description: OCaml library for matching and constructing bitstrings
Owners: rjones
Branches: F-8 F-9
InitialCC: rjones
Cvsextras Commits: yes

----

The upstream name of this package was changed for legal reasons:
http://caml.inria.fr/pub/ml-archives/caml-list/2008/07/4f8a95e2d13cb2fc49961b94dd41a2be.en.html
http://code.google.com/p/bitstring/

Also note I've dropped the EL-5 branch.  There is no reasonable
expectation at this time that we can backport this to EL-5, because
it had an incompatible version of camlp4.
Comment 7 Kevin Fenzi 2008-07-17 14:34:12 EDT
ok, I have created the new package name. 

Please follow the package end of life procedure on the old name. 

cvs done.
Comment 8 Richard W.M. Jones 2008-07-17 14:36:49 EDT
Kevin, thank you for doing this so quickly.  I'll look up the EOL
procedure and do that once I've copied the specfiles over.
Comment 9 Richard W.M. Jones 2008-07-18 08:55:31 EDT
EOL ticket for ocaml-bitmatch:
https://fedorahosted.org/rel-eng/ticket/743

Note You need to log in before you can comment on or make changes to this bug.